package cmd

import (

	"git.dafu.dev/dafu/gomailer/pkg"
	"github.com/spf13/cobra"
)

// sendmailCmd represents the sendmail command
var sendmailCmd = &cobra.Command{
	Use:   "sendmail",
	Short: "Send mail with the configured server",
	Long: `Send Emails for testing Mail templates:

sendmail.`,
	Run: func(cmd *cobra.Command, args []string) {

		gomailer.SendMail(Cfg.mailsettings, Cfg.mailserver)

	},
}

func init() {
	rootCmd.AddCommand(sendmailCmd)

	// sendmailCmd.Flags().BoolVar(&help, "test", false, "Help message for sendmail")
	// sendmailCmd.Flags().BoolVarP(&inline, "inline", "i", false, "Inline css")
}
